Steven M. Bellovin | 1 Apr 01:14 2005

Re: teTeX 3.0 packages imported

In message <Pine.GSO.4.61.0504010024340.27921 <at> rfhpc8317>, Hubert Feyrer writes:
>
>FYI,
>I have imported packages for teTeX 3.0 into pkgsrc/print (teTeX3-bin, 
>teTeX3-texmf, teTeX3-texmfsrc). I welcome everyone to test the pkgs and 
>let me know if there's something missing (send-pr).
>
>Eventually (within the next few days/weeks) I'd like to switch 
>pkgsrc/print/teTeX over to pull in the teTeX3 pkgs, and then get rid of 
>pkgsrc/print/teTeX1* and pkgsrc/print/teTeX-*.
>
>The long-term idea for TeX is to have pkgsrc/print/teTeX${VERSION}-* pkgs 
>for some versions, and keep pkgsrc/print/teTeX to slurp in the 
>authoritative version (i.e. 3.0 for now :).

There have been dependency issues in the past with some packages that
depend on teTeX, such as magicfilter.  Will this help with such 
problems?  

		--Prof. Steven M. Bellovin, http://www.cs.columbia.edu/~smb

Hubert Feyrer | 1 Apr 01:17 2005
Picon

Re: teTeX 3.0 packages imported

On Thu, 31 Mar 2005, Steven M. Bellovin wrote:
> There have been dependency issues in the past with some packages that
> depend on teTeX, such as magicfilter.  Will this help with such
> problems?

I have no idea.
I'm not aware of those dependency issues, and testing/fixing is what's 
next on my TODO list (that I'm assembling right now), after I've done some 
initial sweep of making sure some tex-* pkgs work properly with teTeX(2) 
and teTeX3.

  - Hubert

--

-- 
NetBSD - Free AND Open!      (And of course secure, portable, yadda yadda)

Steven M. Bellovin | 1 Apr 01:24 2005

Re: teTeX 3.0 packages imported

In message <Pine.GSO.4.61.0504010116020.27921 <at> rfhpc8317>, Hubert Feyrer writes:
>On Thu, 31 Mar 2005, Steven M. Bellovin wrote:
>> There have been dependency issues in the past with some packages that
>> depend on teTeX, such as magicfilter.  Will this help with such
>> problems?
>
>I have no idea.
>I'm not aware of those dependency issues, and testing/fixing is what's 
>next on my TODO list (that I'm assembling right now), after I've done some 
>initial sweep of making sure some tex-* pkgs work properly with teTeX(2) 
>and teTeX3.
>

See pkg/21258 for what happened a while back, when teTeX2 was imported.

		--Prof. Steven M. Bellovin, http://www.cs.columbia.edu/~smb

Hubert Feyrer | 1 Apr 01:32 2005
Picon

Re: teTeX 3.0 packages imported

On Thu, 31 Mar 2005, Steven M. Bellovin wrote:
> See pkg/21258 for what happened a while back, when teTeX2 was imported.

IC... yes, my goal is to go through all pkgs now and make sure they work 
with teTeX3. If you or anyone else wants to help me out, feel free to drop 
me mail with pkgs that you have built successfully with teTeX3 installed.

The patch applied below may help a bit, for those pkgs that pull in 
pkgsrc/print/teTeX and expect a recent version (3.0). It's what I'd 
eventually want to commit.

  - Hubert

Index: Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/print/teTeX/Makefile,v
retrieving revision 1.36
diff -u -r1.36 Makefile
--- Makefile	5 Jun 2004 21:56:47 -0000	1.36
+++ Makefile	31 Mar 2005 23:31:59 -0000
 <at>  <at>  -1,18 +1,17  <at>  <at> 
  # $NetBSD: Makefile,v 1.36 2004/06/05 21:56:47 reed Exp $
  #

-DISTNAME=	teTeX-2.0.2
-PKGREVISION=	1
+DISTNAME=	teTeX-3.0
  CATEGORIES=	print meta-pkgs
  MASTER_SITES=	# empty
  DISTFILES=	# empty
(Continue reading)

Hubert Feyrer | 1 Apr 01:47 2005
Picon

Re: teTeX 3.0 packages imported


> On Thu, 31 Mar 2005, Steven M. Bellovin wrote:
>> See pkg/21258 for what happened a while back, when teTeX2 was imported.

FWIW, magicfilter seems to build fine:

===> Building binary package for magicfilter-1.2nb3
Creating package /pkg_comp/packages/3.0/All/magicfilter-1.2nb3.tgz

I have no idea how to test it though (I have no printer), but I guess 
there shouldn't be much of a surprise there.

   - Hubert

--

-- 
NetBSD - Free AND Open!      (And of course secure, portable, yadda yadda)

Jan Schaumann | 1 Apr 04:07 2005

Re: teTeX 3.0 packages imported

Hubert Feyrer <hubertf <at> NetBSD.org> wrote:
> 
> FYI,
> I have imported packages for teTeX 3.0 into pkgsrc/print (teTeX3-bin, 
> teTeX3-texmf, teTeX3-texmfsrc). I welcome everyone to test the pkgs and 
> let me know if there's something missing (send-pr).
> 
> Eventually (within the next few days/weeks) I'd like to switch 
> pkgsrc/print/teTeX over to pull in the teTeX3 pkgs, and then get rid of 
> pkgsrc/print/teTeX1* and pkgsrc/print/teTeX-*.

As I've said before (repeatedly):

Many people have documents that do not compile (cleanly) using newer
versions of teTeX.  teTeX2 is not 100% backwards compatible -- and so I
must assume that teTeX3 won't be either -- which is why I'm strongly
opposed to removing teTeX1 altogether.

-Jan

--

-- 
http://www.eff.org
Hubert Feyrer | 1 Apr 04:31 2005
Picon

Re: teTeX 3.0 packages imported

On Thu, 31 Mar 2005, Jan Schaumann wrote:
> Many people have documents that do not compile (cleanly) using newer
> versions of teTeX.  teTeX2 is not 100% backwards compatible -- and so I
> must assume that teTeX3 won't be either -- which is why I'm strongly
> opposed to removing teTeX1 altogether.

IC, I must have missed this.

I think it's fine to keep teTeX1 in pkgsrc.  My intention is to make the 
pkgs prefer one TeX version (which should be pulled in via 
pkgsrc/print/teTeX). Pkgs that know they want something else can still 
pull in pkgsrc/print/teTeX1-bin.

What I'm working on is changing any pkgs that work ok with teTeX3 to 
actually use that as common base, while still allowing teTeX1 if 
users prefer to install that.

(I thought about adding a pkgsrc/print/teTeX3 package, which could then be 
pulled in from pkgsrc/print/teTeX later, but think that's probably not 
worth the effort. Maybe I'm wrong.)

  - Hubert

--

-- 
NetBSD - Free AND Open!      (And of course secure, portable, yadda yadda)

Ian Zagorskih | 1 Apr 05:55 2005

Re: Failed to build textproc/scrollkeeper package

On Friday 01 April 2005 04:19, Julio M. Merino Vidal wrote:
> On Thu, 2005-03-31 at 21:25 +0700, Ian Zagorskih wrote:
> > NetBSD NBSD1 3.99.2 NetBSD 3.99.2 (GENERIC-$Revision: 1.628 $) #2: Thu
> > Mar 31 15:17:53 NOVST 2005 
> > toor <at> NBSD1:/usr/src/sys/arch/i386/compile/NBSD1 i386
> >
> > Fresh pkgsrc from CVS.
>
> It's not fresh enough.  scrollkeeper should be at nb7.

Unfortunatelly, right now i can see only nb6 in anoncvs.netbsd.org :(

// wbr

Jan Schaumann | 1 Apr 06:12 2005

bootstrap/bmake vs devel/bmake

Hi,

At the moment, bootstrap uses bootstrap/bmake to bootstrap bmake
(doesn't that sentence read well), but it reaches over into pkgsrc
proper (if you will) for other tools.  Yet, we have devel/bmake.  What's
the difference between bootstrap/bmake and devel/bmake?  If there's no
difference, why do we have both?  If there is a difference, how do we
sync the two?

Or was bmake just not converted to a bootstrappable package?

-Jan

--

-- 
Wenn ich tot bin, mir soll mal Einer mit Auferstehung oder so
kommen, ich hau ihm eine rein! (Anonym)
Paul (NCC/CS). | 1 Apr 06:14 2005
Picon
Picon

xcdplayer problems.


Hi,
I have built xcdplayer-2.2nb1 .
It has lots of problems.

It's GUI  is all wrong and jumbled up.
I wish i could send a jpg of it but don't know how yet.

No buttons appear so I can't tell it to play etc.

I also get command line errors:
su# xcdplayer
ioctl(cdromreadtochdr): : Operation not supported by device
Apr  1 14:12:42 su /netbsd: cd0(pciide0:1:0):  Check Condition on CDB: 0x00 00 00 00 00 00
Apr  1 14:12:42 su /netbsd:     SENSE KEY:  Not Ready
Apr  1 14:12:42 su /netbsd:      ASC/ASCQ:  No Reference Position Found
Apr  1 14:12:42 su /netbsd:

Can anyone suggest remedy paths?
Or a different piece of software to play cd's?

thanks,
Paul.

--

____________________________________________

Paul
Australian Bureau Of Meteorology
(Continue reading)


Gmane